Bug 1317613 - typo in src/subscription_manager/gui/data/ui/selectsla.ui
Summary: typo in src/subscription_manager/gui/data/ui/selectsla.ui
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.8
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: William Poteat
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-14 16:35 UTC by John Sefler
Modified: 2017-03-21 10:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-21 10:54:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0698 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2017-03-21 12:39:12 UTC

Description John Sefler 2016-03-14 16:35:03 UTC
Description of problem:
Within the subscription-manager source code, there is a typo in src/subscription_manager/gui/data/ui/selectsla.ui that is making it's way through translation and into the rhsm.mo files....

<property name="label" translatable="yes">Awesome OS 14, Awesome OS 14 Super Edition, Awesome Middle Ware For Awesome App Platform Awesome Developer Editition</property>

TYPO IN "Editition"

This bug was caught by automated SpellCheckTests but is never seen by a customer.  Using this bug to block the auto test.  Severity is below low.


Version-Release number of selected component (if applicable):
[root@jsefler-6 ~]# rpm -q subscription-manager
subscription-manager-1.16.8-4.el6.x86_64


How reproducible:


Steps to Reproduce:
[root@jsefler-6 ~]# rpm -ql subscription-manager | grep rhsm.mo | tail -1
/usr/share/locale/zh_TW/LC_MESSAGES/rhsm.mo
[root@jsefler-6 ~]# msgunfmt --no-wrap /usr/share/locale/zh_TW/LC_MESSAGES/rhsm.mo -o /tmp/zh_TW-rhsm.po
[root@jsefler-6 ~]# grep Editition /tmp/zh_TW-rhsm.po
msgid "Awesome OS 14, Awesome OS 14 Super Edition, Awesome Middle Ware For Awesome App Platform Awesome Developer Editition"


Actual results:
"Editition"

Expected results:
"Edition"

Additional info:

Comment 2 Chris Snyder 2016-04-21 18:44:48 UTC
Merged into upstream master as of the below commit. As it is before the branch for 6.9 this will be included in the rebase therefore moving to modified state.

commit cc68dafc5d2991fc501f3c424a65c33961411500
Author: William Poteat <wpoteat@redhat.com>
Date:   Tue Apr 5 09:06:38 2016 -0400

    1317613: Typo in selectsla.ui

Comment 5 Shwetha Kallesh 2016-11-10 12:12:16 UTC
Spelling Editition is now corrected

[root@hp-ml350egen8-01 ~]# subscription-manager version
server type: This system is currently not registered.
subscription management server: 0.9.51.11-1
subscription management rules: 5.15
subscription-manager: 1.18.4-1.el6
python-rhsm: 1.18.4-1.el6


[root@hp-ml350egen8-01 ~]# rpm -ql subscription-manager | grep rhsm.mo | tail -1
/usr/share/locale/zh_TW/LC_MESSAGES/rhsm.mo
[root@hp-ml350egen8-01 ~]# msgunfmt --no-wrap /usr/share/locale/zh_TW/LC_MESSAGES/rhsm.mo -o /tmp/zh_TW-rhsm.po
[root@hp-ml350egen8-01 ~]# grep Editition /tmp/zh_TW-rhsm.po


[root@hp-ml350egen8-01 ~]# grep Edition /tmp/zh_TW-rhsm.po
msgid "Awesome OS 14, Awesome OS 14 Super Edition, Awesome Middle Ware For Awesome App Platform Awesome Developer Edition"

Comment 7 errata-xmlrpc 2017-03-21 10:54:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0698.html


Note You need to log in before you can comment on or make changes to this bug.